<script>
import { date } from 'alga-js'
</script>

<script setup>
const props = defineProps({
  params: Object
})

const newdate = computed(() => {
  if (!props.params?.data?.dateInvoiced) return ''
  return date.format(props.params.data.dateInvoiced, 'date', 'de-DE', {timeZone: 'UTC'})
})
</script>

<template>
  <div v-if="params?.data" class="d-inlineFlex items-center gap-5px">
    <div class="tags">
      {{ newdate }}
    </div>
  </div>
</template>

<style scoped>
.tag {
  width: 40px;
  height: 20px;
}
.greenbt {
  color: white;
  background-color: #00a500;
  border: 1px solid #00a500;
}

.greybt {
  color: grey;
  border: 1px solid grey;
}

.icons {
  color: white;
}

span[class^='i-mdi'] {
  font-size: 19px;
  margin-top: 4px;
}
</style>
